package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: BusinessLicenseUploadPlatformReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:23
 */
@Data
public class Nft005BusinessLicenseUploadPlatformRespDto implements Serializable {
    /**
     * 图片id
     */
    private Integer id;

    private static final Nft005BusinessLicenseUploadPlatformRespDto obj = new Nft005BusinessLicenseUploadPlatformRespDto();
    public static Nft005BusinessLicenseUploadPlatformRespDto getNew() {
        try {
            return (Nft005BusinessLicenseUploadPlatformRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft005BusinessLicenseUploadPlatformRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
